unit Options;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, CheckLst, FaxServer;

type
  TformOptions = class(TForm)
    FaxList: TCheckListBox;
    Label1: TLabel;
    OK: TButton;
    ArchiveDirOutEdit: TEdit;
    Label2: TLabel;
    Label3: TLabel;
    ArchiveDirInEdit: TEdit;
    procedure FormCreate(Sender: TObject);
    procedure FaxListClickCheck(Sender: TObject);
    procedure OKClick(Sender: TObject);
  private
    { Private declarations }
    oldSelFax: DWORD;
  public
    { Public declarations }
  end;

var
  formOptions: TformOptions;

implementation

Uses Main;

{$R *.DFM}

procedure TformOptions.FormCreate(Sender: TObject);
Var
   i: integer;
begin
   formMain.FaxServer.FaxPortsList.Refresh;

   FaxList.Items.Clear;
   for i := 0 to formMain.FaxServer.FaxPortsList.Count-1 do
   begin
      with TFaxPort(formMain.FaxServer.FaxPortsList.Items[i]) do
      begin
         FaxList.Items.Add(Tsid + ' - ' + DeviceName);
         if Index = ActiveDeviceID then
         begin
            FaxList.Checked[i] := True;
            oldSelFax := i;
         end;
      end;
   end;

   ArchiveDirInEdit.Text := ArchiveDirectoryIn;
   ArchiveDirOutEdit.Text := ArchiveDirectoryOut;

End;

procedure TformOptions.FaxListClickCheck(Sender: TObject);
Var
   i: DWORD;
   newSelFax: DWORD;
begin
   for i := 0 to formMain.FaxServer.FaxPortsList.Count-1 do
   begin
      if FaxList.Checked[i] and (i<>oldSelFax) then
         newSelFax := i;
   end;

   if oldSelFax = newSelFax then
      exit;

   FaxList.Checked[oldSelFax] := False;
   oldSelFax := newSelFax;
end;

procedure TformOptions.OKClick(Sender: TObject);
begin
   if ActiveDeviceID <> formMain.FaxServer.FaxPortsList.Items[oldSelFax].Index then
   begin
      ActiveDeviceID := formMain.FaxServer.FaxPortsList.Items[oldSelFax].Index;
      MessageBox(handle, 'Please, restart application before changes take effect.', 'FaxDemo 1.0', MB_OK or MB_ICONQUESTION);
//      formMain.FaxServer.ActiveDeviceID := ActiveDeviceID;
//      formMain.FaxServer.Connect('');
   end;
   ArchiveDirectoryIn := ArchiveDirInEdit.Text;
   ArchiveDirectoryOut := ArchiveDirOutEdit.Text;
end;

end.
